## ros-indigo-turtlebot-rapps 2.3.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(turtlebot_rapps)

find_package(catkin REQUIRED COMPONENTS)

catkin_package()

install(DIRECTORY rapps
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY media 
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-turtlebot-rapps (2.3.7-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Tue, 01 Nov 2016 07:00:00 -0000

ros-indigo-turtlebot-rapps (2.3.6-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Wed, 29 Jun 2016 07:00:00 -0000

ros-indigo-turtlebot-rapps (2.3.5-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Tue, 28 Jun 2016 07:00:00 -0000

ros-indigo-turtlebot-rapps (2.3.4-0trusty) trusty; urgency=high

  * disabling turtlebot_panorama due to it not compiling
  * use rocon_apps/make_a_map as parent closes #139 <https://github.com/turtlebot/turtlebot_apps/issues/139>
  * Update map_manager to apply world canvas.
  * add waypoint_nav rapp
  * Contributors: Jihoon Lee, Patrick Chin, Tully Foote

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Tue, 28 Jun 2016 07:00:00 -0000

ros-indigo-turtlebot-rapps (2.3.3-0trusty) trusty; urgency=high

  * change default topic name of scan
  * update map nav to apply world canvas and map navigation android app
  * update make_a_map to apply world canvas
  * Contributors: dwlee

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Mon, 23 Mar 2015 07:00:00 -0000

ros-indigo-turtlebot-rapps (2.3.2-0trusty) trusty; urgency=high

  * add robot_pose_publisher as run depend closes #131 <https://github.com/turtlebot/turtlebot_apps/issues/131>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Wed, 21 Jan 2015 08:00:00 -0000

ros-indigo-turtlebot-rapps (2.3.1-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Tue, 30 Dec 2014 08:00:00 -0000

ros-indigo-turtlebot-rapps (2.3.0-0trusty) trusty; urgency=high

  * uncomment move_base #129 <https://github.com/turtlebot/turtlebot_apps/issues/129>
  * disable map_store #126 <https://github.com/turtlebot/turtlebot_apps/issues/126>
  * sim to simulation param
  * fixing image topic for simulation
  * sim turtlebot make a map works
  * add video teleop with sim
  * follower in simulation
  * it uses rect_color
  * remove map_store dependency
  * updates
  * updates
  * update make a map rapp launch
  * update interface
  * typo fix
  * update type info for interfaces
  * ps3_teleop uses relative path
  * relative path on all rapps
  * rename teleop to video_teleop
  * turtlebot teleop uses video_teleop virtual app. and use public interface
  * remove deprecated attribute. pairing_clients from panorama
  * Update/fix comments
  * Update map_nav launch for use with environment hooks
  * Add missing required node dependency
  * Change map_serve to pull from environment variable
  * Turtlebot_rapps/teleop to implement rocon_apps/teleop
  * Typo fix
  * Moved to generic 'virtual_joystick'
  * Remove map_server for make_a_map - not needed
  * Rolled android and qt make_a_map and map_nav into one
  * Remove capabilities dependancy for follower, graveyard capabilities version.
  * Give map_nav and make_a_map default map for Qt
  * Small typo fix to re-add map-store
  * Moved to seperate android/qt launchers and rapps to remove error as android requires mongodb
  * Updated package.xml to include new and refactored rapps
  * Refactored android_xxx to remove android
  * turtlebot_core_apps -> turtlebot_rapps, #86 <https://github.com/turtlebot/turtlebot_apps/issues/86>
  * Contributors: Daniel Stonier, Jihoon Lee, Kent Sommer, dwlee, kentsommer

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Tue, 30 Dec 2014 08:00:00 -0000

ros-indigo-turtlebot-rapps (2.2.4-0trusty) trusty; urgency=high

  * Use 27018 port (27017 is the default) in all apps avoid error 48
    conflicts.

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Mon, 14 Oct 2013 07:00:00 -0000

ros-indigo-turtlebot-rapps (2.2.3-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Fri, 27 Sep 2013 07:00:00 -0000

ros-indigo-turtlebot-rapps (2.2.2-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Thu, 26 Sep 2013 07:00:00 -0000

ros-indigo-turtlebot-rapps (2.2.1-0trusty) trusty; urgency=high

  * Set of fixes to make it work with Android apps.

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Mon, 23 Sep 2013 07:00:00 -0000

ros-indigo-turtlebot-rapps (2.2.0-0trusty) trusty; urgency=high

  * Remove redundant rapp information.
  * Add auto shutdown functionality on auto_docking.
  * Add bugtracker and repo info URLs.
  * Rename include launchers to *.launch.xml.
  * Changelogs at package level.
  * Use a private warehouse port.

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Fri, 30 Aug 2013 07:00:00 -0000

ros-indigo-turtlebot-rapps (2.1.1-0trusty) trusty; urgency=high

  * Fix namespaces for auto docking app
  * Add various changes to enable android apps (w/ and w/o pairing mode)
  * Add rapp files for map manager app
  * Update interface files for ps3 & xbox360 rapps
  * Update panorama rapp files
  * Add linux.ros. to platform name
  * Rename all .app extensions as .rapp
  * Remove our beloved chirp app. Don't worry; it's now included on rocon_apps

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Fri, 09 Aug 2013 07:00:00 -0000

ros-indigo-turtlebot-rapps (2.1.0-0trusty) trusty; urgency=high

  * Catkinized
  * map_store is now catkinized
  * Remove legacy code
  * Prepare for new app manager

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Fri, 19 Jul 2013 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-turtlebot-rapps
Section: misc
Priority: extra
Maintainer: Daniel Stonier <stonier@rnd.yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/turtlebot_rapps
Standards-Version: 3.9.2

Package: ros-indigo-turtlebot-rapps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-compressed-image-transport, ros-indigo-kobuki-auto-docking, ros-indigo-robot-pose-publisher, ros-indigo-tf, ros-indigo-topic-tools, ros-indigo-turtlebot-bringup, ros-indigo-turtlebot-follower, ros-indigo-turtlebot-navigation, ros-indigo-turtlebot-teleop, ros-indigo-warehouse-ros, ros-indigo-world-canvas-server
Description: The core set of turtlebot 'app manager' apps are defined in this package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-turtlebot-rapps//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
